## org.eclipse.datatools.sqltools.parsers.sql.query
Class SQLQueryParserLogger

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.query.util.SQLLogUtil
          org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserLogger

    public class SQLQueryParserLogger

extends SQLLogUtil

The `SQLQueryParserLogger` is a slim wrapper around the eclipse logging, with the intention to be refactored in future to adopt the common logging strategy, preferably `Logger`.

Author:
  ckadner

Method Summary
`static SQLLogUtil` `getLogger()`
`static void` `setLogger(SQLLogUtil logger)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.util.SQLLogUtil
`getCurrentPlugin, isTracing, setCurrentPlugin, write, write, write, writeInfo, writeLog, writeLog, writeLog, writeTrace, writeTraceEntry, writeTraceExit, writeTraceExit, writeTraceExit`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getLogger

    public static SQLLogUtil getLogger()

### setLogger

    public static void setLogger(SQLLogUtil logger)